## org.eclipse.emf.edit.provider
Class IChildCreationExtender.Descriptor.Registry.Impl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.util.Collection<IChildCreationExtender.Descriptor>>
              org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor.Registry.Impl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.Collection<IChildCreationExtender.Descriptor>>, IChildCreationExtender.Descriptor.Registry

Enclosing interface:
  IChildCreationExtender.Descriptor.Registry

    public static class IChildCreationExtender.Descriptor.Registry.Impl

extends java.util.HashMap<java.lang.String,java.util.Collection<IChildCreationExtender.Descriptor>>
implements IChildCreationExtender.Descriptor.Registry

A simple registry implementation that supports delegation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor.Registry
`IChildCreationExtender.Descriptor.Registry.Impl`

Field Summary
`protected IChildCreationExtender.Descriptor.Registry` `delegateRegistry` The delegate registry should lookup fail locally.

Fields inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor.Registry
`INSTANCE`

Constructor Summary
`IChildCreationExtender.Descriptor.Registry.Impl(IChildCreationExtender.Descriptor.Registry delegateRegistry)` Creates an instance.

Method Summary
`protected java.util.Collection<IChildCreationExtender.Descriptor>` `delegatedGetDescriptors(java.lang.String namespace)` This is called when local lookup fails.
`java.util.Collection<IChildCreationExtender.Descriptor>` `getDescriptors(java.lang.String namespace)` Returns collection of descriptors that can create a child creation extenders.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### delegateRegistry

    protected IChildCreationExtender.Descriptor.Registry delegateRegistry

  The delegate registry should lookup fail locally.

Constructor Detail

### IChildCreationExtender.Descriptor.Registry.Impl

    public IChildCreationExtender.Descriptor.Registry.Impl(IChildCreationExtender.Descriptor.Registry delegateRegistry)

  Creates an instance.

  Parameters:
    `delegateRegistry` - `null` or a registration that should act as the delegate.

Method Detail

### getDescriptors

    public java.util.Collection<IChildCreationExtender.Descriptor> getDescriptors(java.lang.String namespace)

  Description copied from interface: `IChildCreationExtender.Descriptor.Registry`
  Returns collection of descriptors that can create a child creation extenders.

  Specified by:
    `getDescriptors` in interface `IChildCreationExtender.Descriptor.Registry`
  Parameters:
    `namespace` - a key which will typically be the namespace of the package for which to create child creation extenders.
  Returns:
    a collection of descriptors that can create a child creation extender.

### delegatedGetDescriptors

    protected java.util.Collection<IChildCreationExtender.Descriptor> delegatedGetDescriptors(java.lang.String namespace)

  This is called when local lookup fails.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.